Subject: Re: pci_read_config_byte in Hardhat CDK1.2 for powerpc

From: "Mark A. Greer" <[email-masked]>
Date: Thu, 19 Oct 2000 10:41:35 -0700

Zhaobin Zhu wrote:

> "Tod E. Kurt" wrote:
>
> > Zhaobin Zhu wrote:
> > >
> > > Hi,
> > >
> > > Anybody knows where the function "pci_read_config_byte(..)" is defined ?
> >
> > Again, use 'grep' in '/usr/include/linux/*.h'.
> >
> > I did that and found it in '/usr/include/linux/pci.h'.
>
> Yes,  pci_read_config_byte(..) is declared in include/linux/pci.h, but I
> can't find
> its C source anywhere. I do find it in System.map.

The definitions of pci_xxx_config_yyy and pcibios_xxx_config_yyy are hard to
find.

pci_xxx_config_yyy are defined by the PCI_OP() macro in drivers/pci/pci.c
pcibios_xxx_config_yyy are defined by the PCI_OP() macro in
drivers/pci/compat.c

At least this is true in 2.4.0-test2.

Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/